openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Fernando (JIRA)" <>
Subject [jira] Created: (OPENJPA-814) code review: found some code/hack for unsupported JDK 1.3.1
Date Thu, 04 Dec 2008 03:13:47 GMT
code review: found some code/hack for unsupported JDK 1.3.1

                 Key: OPENJPA-814
             Project: OpenJPA
          Issue Type: Question
          Components: kernel
    Affects Versions: 2.0.0
            Reporter: Fernando
            Priority: Trivial

I just found some code that says it's there only to support jdk 1.3.1, but I assume that is
not supported any longer.


        // this static initializer is to get past a weird
        // ClassCircularityError that happens only under IBM's
        // JDK 1.3.1 on Linux from within the JRun ClassLoader;
        // while exact causes are unknown, it is almost certainly
        // a bug in JRun, and we can get around it by forcing
        // Instruction.class to be loaded and initialized
        // before TypedInstruction.class
        try { serp.bytecode.lowlevel.Entry.class.getName(); } 
        catch (Throwable t) {}
        try { serp.bytecode.Instruction.class.getName(); } 
        catch (Throwable t) {}

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message